curl "https://api.smartcar.com/v2.0/vehicles/{id}/diagnostics/system_status" \\
-H "Authorization: Bearer {token}" \\
-X "GET"
diagnostic_system_status = vehicle.diagnostic_system_status()
const diagnosticSystemStatus = await vehicle.diagnosticSystemStatus();
VehicleDiagnosticSystemStatus diagnosticSystemStatus = vehicle.diagnosticSystemStatus();
diagnostic_system_status = vehicle.diagnostic_system_status
{
"systems": [
{
// System ID from Smartcar unified system definition list
"systemId": "SYSTEM_TPMS",
"status": "ALERT",
"description": "Left rear tire sensor battery low"
},
{
"systemId": "SYSTEM_AIRBAG",
"status": "OK",
"description": null
},
{
"systemId": "SYSTEM_MIL",
"status": "OK",
"description": null
},
...
]
}
Vehicle Data
System Status
Provides a list of vehicle systems and their current health status. Currently supporting FCA and GM brands including RAM, Jeep, Chrysler, Dodge, Fiat, Alfa Romeo, Buick, Cadillac, Chevrolet and GMC. See Diagnostic Systems for a complete list of Smartcar System IDs.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/diagnostics/system_status" \\
-H "Authorization: Bearer {token}" \\
-X "GET"
diagnostic_system_status = vehicle.diagnostic_system_status()
const diagnosticSystemStatus = await vehicle.diagnosticSystemStatus();
VehicleDiagnosticSystemStatus diagnosticSystemStatus = vehicle.diagnosticSystemStatus();
diagnostic_system_status = vehicle.diagnostic_system_status
{
"systems": [
{
// System ID from Smartcar unified system definition list
"systemId": "SYSTEM_TPMS",
"status": "ALERT",
"description": "Left rear tire sensor battery low"
},
{
"systemId": "SYSTEM_AIRBAG",
"status": "OK",
"description": null
},
{
"systemId": "SYSTEM_MIL",
"status": "OK",
"description": null
},
...
]
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_diagnostics
curl "https://api.smartcar.com/v2.0/vehicles/{id}/diagnostics/system_status" \\
-H "Authorization: Bearer {token}" \\
-X "GET"
diagnostic_system_status = vehicle.diagnostic_system_status()
const diagnosticSystemStatus = await vehicle.diagnosticSystemStatus();
VehicleDiagnosticSystemStatus diagnosticSystemStatus = vehicle.diagnosticSystemStatus();
diagnostic_system_status = vehicle.diagnostic_system_status
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
Response
array
An overview of systems reported by the vehicle.
string
The unique identifier of a system reported by the vehicle.
string
The status of a vehicle, expected as “OK” or “ALERT”.
string | null
A plain-text description of the status, if available.
{
"systems": [
{
// System ID from Smartcar unified system definition list
"systemId": "SYSTEM_TPMS",
"status": "ALERT",
"description": "Left rear tire sensor battery low"
},
{
"systemId": "SYSTEM_AIRBAG",
"status": "OK",
"description": null
},
{
"systemId": "SYSTEM_MIL",
"status": "OK",
"description": null
},
...
]
}
Was this page helpful?

